Bug 131430 - [NEW PORT] comms/dfu-util OpenMoko USB Device Firmware Upgrade Utility
Summary: [NEW PORT] comms/dfu-util OpenMoko USB Device Firmware Upgrade Utility
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-05 20:10 UTC by Rebecca Cran
Modified: 2009-02-18 23:10 UTC (History)
0 users

See Also:


Attachments
file.shar (5.55 KB, text/plain)
2009-02-05 20:10 UTC, Rebecca Cran
no flags Details
Makefile.diff.txt (387 bytes, text/plain)
2009-02-06 07:25 UTC, Rebecca Cran
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rebecca Cran freebsd_committer 2009-02-05 20:10:01 UTC
The dfu-util port contains the USB Device Firmware Upgrade program from the OpenMoko project.  It currently only works on 8.0-CURRENT with the new USB ("USB2") stack.

Fix: Patch attached with submission follows:
Comment 1 Rebecca Cran freebsd_committer 2009-02-06 07:25:05 UTC
I removed the check for FreeBSD 8 during testing and forgot to add
it back in before submitting the port.  Please apply the attached patch
before committing.

-- 
Bruce Cran
Comment 2 Dmitry Marakasov freebsd_committer 2009-02-12 03:58:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 3 Dmitry Marakasov freebsd_committer 2009-02-12 04:00:12 UTC
State Changed
From-To: open->feedback

Does not build on 6.x, 7.x (-current OK). 
http://people.freebsd.org/~amdmi3/dfu-util-0.1.s20090204.log
Comment 4 Dmitry Marakasov 2009-02-13 03:09:07 UTC
* Bruce Cran (bruce@cran.org.uk) wrote:

> I removed the code to mark the port as BROKEN on anything but
> -current during testing and forgot to add it back in before submitting
> it. I sent a followup to the PR which fixes it; the patch is also
> below.

There's no sence in the port that only works on development version of
FreeBSD. Is there absolutely no way to make it work on at least 7.x?

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 5 Rebecca Cran freebsd_committer 2009-02-13 04:36:01 UTC
On Fri, 13 Feb 2009 06:09:07 +0300
Dmitry Marakasov <amdmi3@amdmi3.ru> wrote:

> * Bruce Cran (bruce@cran.org.uk) wrote:
> 
> > I removed the code to mark the port as BROKEN on anything but
> > -current during testing and forgot to add it back in before
> > submitting it. I sent a followup to the PR which fixes it; the
> > patch is also below.
> 
> There's no sence in the port that only works on development version of
> FreeBSD. Is there absolutely no way to make it work on at least 7.x?
> 


I've tried running it on 7.1 and it didn't work -
http://lists.freebsd.org/pipermail/freebsd-arm/2008-September/001270.html
suggests that it will only work using the new USB stack that's in
8-CURRENT.  I'll wait until 8.0 is released and resubmit the port.

-- 
Bruce
Comment 6 Dmitry Marakasov freebsd_committer 2009-02-18 23:08:10 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!
Comment 7 dfilter service freebsd_committer 2009-02-18 23:08:11 UTC
amdmi3      2009-02-18 23:07:57 UTC

  FreeBSD ports repository

  Modified files:
    comms                Makefile 
  Added files:
    comms/dfu-util       Makefile distinfo pkg-descr pkg-message 
    comms/dfu-util/files patch-configure.ac patch-src-commands.h 
                         patch-src-dfu.c patch-src-dfu.h 
                         patch-src-main.c patch-src-sam7dfu.c 
  Log:
  dfu-util is a program that implements the host (PC) side of the USB DFU
  (Universal Serial Bus Device Firmware Upgrade) protocol.
  
  In the OpenMoko project (for example), this program is used to communicate
  with the specially enhanced u-boot boot loader, which implements the DFU
  device side.
  
  Author: Bruce Cran <bruce@cran.org.uk>
  WWW:   http://wiki.openmoko.org/wiki/Dfu-util
  
  PR:             131430
  Submitted by:   Bruce Cran <bruce at cran dot org dot uk>
  
  Revision  Changes    Path
  1.201     +1 -0      ports/comms/Makefile
  1.1       +37 -0     ports/comms/dfu-util/Makefile (new)
  1.1       +3 -0      ports/comms/dfu-util/distinfo (new)
  1.1       +13 -0     ports/comms/dfu-util/files/patch-configure.ac (new)
  1.1       +11 -0     ports/comms/dfu-util/files/patch-src-commands.h (new)
  1.1       +11 -0     ports/comms/dfu-util/files/patch-src-dfu.c (new)
  1.1       +11 -0     ports/comms/dfu-util/files/patch-src-dfu.h (new)
  1.1       +11 -0     ports/comms/dfu-util/files/patch-src-main.c (new)
  1.1       +11 -0     ports/comms/dfu-util/files/patch-src-sam7dfu.c (new)
  1.1       +9 -0      ports/comms/dfu-util/pkg-descr (new)
  1.1       +2 -0      ports/comms/dfu-util/pkg-message (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"